Skip to main content
GET
/
avs
/
{address}
/
events
/
rewards
Retrieve all reward events for a given AVS address
curl --request GET \
  --url https://api.eigenexplorer.com/avs/{address}/events/rewards \
  --header 'X-API-Token: <x-api-token>'
import requests

url = "https://api.eigenexplorer.com/avs/{address}/events/rewards"

headers = {"X-API-Token": "<x-api-token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Token': '<x-api-token>'}};

fetch('https://api.eigenexplorer.com/avs/{address}/events/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "tx": "0xae41958d0342a4485536f701c72723625131680f182eb21f95abdac6d74d0ff0",
  "blockNumber": 21045085,
  "blockTime": "2024-10-25T20:41:11.000Z",
  "type": "REWARDS",
  "args": {
    "submissionNonce": 2,
    "rewardsSubmissionHash": "0x1e391c015c923972811a27e1c6c3a874511e47033f1022021f29967a60ab2c87",
    "rewardsSubmissionToken": "0xba50933c268f567bdc86e1ac131be072c6b0b71a",
    "rewardsSubmissionAmount": "49000000000000000000000",
    "rewardsSubmissionStartTimeStamp": 1728518400,
    "rewardsSubmissionDuration": 6048000,
    "strategies": [
      {
        "strategy": "0x0fe4f44bee93503346a3ac9ee5a26b130a5796d6",
        "multiplier": "1068966896363604679",
        "amount": "3.7932452554246293e+21",
        "amountEthValue": 0.0638779707245759
      }
    ]
  },
  "ethValue": 1
}
{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}
{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}
{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}
{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}
{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}
{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}
{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}
The default date range between startAt and endAt is 7 days, with startAt set 7 days before endAt.By default, endAt is set to the current timestamp (now).
The maximum allowed date range is 30 days.

Headers

X-API-Token
string
required

API Token for authentication

Path Parameters

address
string
required

AVS service manager contract address

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x870679e138bcdf293b7ff14dd44b70fc97e12fc0"

Query Parameters

txHash
string

The transaction hash associated with the event

Pattern: ^0x([A-Fa-f0-9]{64})$
startAt
string

Start date in ISO string format

Example:

"2024-11-15T00:00:00.000Z"

endAt
string

End date in ISO string format

Example:

"2024-12-15T00:00:00.000Z"

rewardsSubmissionHash
string

The reward submission hash associated with the event

Pattern: ^0x([A-Fa-f0-9]{64})$
rewardsSubmissionToken
string

The token address used for the rewards submission

Pattern: ^0x[a-fA-F0-9]{40}$
withIndividualAmount
enum<string>
default:false

Toggle whether the route should return individual share amount for each strategy

Available options:
true,
false
Example:

"false"

withEthValue
enum<string>
default:false

Toggle whether the route should return value denominated in ETH

Available options:
true,
false
Example:

"false"

skip
string
default:0

The number of records to skip for pagination

Example:

0

take
string
default:12

The number of records to return for pagination

Example:

12

Response

The reward events found for the AVS.

tx
string
required

The transaction hash

Example:

"0xae41958d0342a4485536f701c72723625131680f182eb21f95abdac6d74d0ff0"

blockNumber
number
required

The block number of the transaction

Example:

21045085

blockTime
string
required

The block time of the transaction as an ISO 8601 string

Example:

"2024-10-25T20:41:11.000Z"

type
enum<string>
required

The type of the event

Available options:
REWARDS
Example:

"REWARDS"

args
object
required
ethValue
number

The value of the shares in ETH

Example:

1